Subject: Bug: Simultaneous save/move from 2 folders

From: Rudolf Kompf <[email-masked]>
Date: Thu, 23 Jul 1998 14:08:04 +0200 (MET DST)

Pine4.0x:

I reported this error 17 Jul 1998 10:41:47 +0200 (MET DST) and 22 Jul 1998
10:39:00 +0200 (MET DST).

Short description see below.

Now i explored the effect on 2 systems in parallel:
==================================================

** The imapd is on a Solaris-Box. pine, imapd etc. built with gs4.

** I get the error only using pine on the Solaris-box (all folders and 
   INBOX are local)

Here is the pine-debug for this (debuglevel 8):

    ---- QUIT SCREEN ----
Want_to read: RETURN (13)
- completely_done_with_adrbks -
expunge and close mail stream
"/home/omega06/kompf/mail/sav-inbox/saved-messages-may-1998"
Want_to read: RETURN (13)
mm_expunged(/home/omega06/kompf/mail/sav-inbox/saved-messages-may-1998,85)
===
mm_exists(135,/home/omega06/kompf/mail/sav-inbox/saved-messages-may-1998)
called ===
IMAP 12:37:56 7/23 mm_log babble: Expunged 1 messages
expunge and close mail stream "/var/mail/kompf"
Want_to read: RETURN (13)
same_stream: mail/sav-inbox/saved-messages == /var/mail/kompf
same_stream: no dice
same_stream: mail/sav-inbox/saved-messages == /var/mail/kompf
same_stream: no dice
about to end_tty_driver
end_signals(0)

** I built pine on a Linux-box with lnx. Then I  execute the same
   actions as on the Solaris-Box (but all folders and INBOX are remote).
  
   No error, expunge from saved-messages-may-1998 is performed, then the
   message from INBOX is saved and expunged.

Here is the pine-debug for this (debuglevel 8):
    ---- QUIT SCREEN ----
Want_to read: RETURN (13)
- completely_done_with_adrbks -
expunge and close mail stream
"{omega.ife-le.de/imap/user=kompf}mail/sav-inbox/saved-messages-may-1998"
Want_to read: RETURN (13)
mm_expunged({omega.ife-le.de/imap/user=kompf}mail/sav-inbox/saved-messages-may-1998,88)
IMAP 12:39:19 7/23 mm_log babble: Expunged 1 messages
IMAP mm_notify bye :
{omega.ife-le.de/imap/user=kompf}mail/sav-inbox/saved-messages-may-1998
(mailstream) : omega.ife-le.de IMAP4rev1 server terminating connection
expunge and close mail stream "{omega.ife-le.de/imap/user=kompf}INBOX"
Want_to read: RETURN (13)
same_stream: {omega}mail/sav-inbox/saved-messages ==
{omega.ife-le.de/imap/user=kompf}INBOX
Want_to read: RETURN (13)
mm_expunged({omega.ife-le.de/imap/user=kompf}INBOX,1)
IMAP 12:39:24 7/23 mm_log babble: Expunged 1 messages
IMAP mm_notify bye : {omega.ife-le.de/imap/user=kompf}INBOX (inboxstream)
: omega.ife-le.de IMAP4rev1 server terminating connection
about to end_tty_driver
end_signals(0)

Description of test-actions (the local case):
============================================
 
-- I have 1 read message in INBOX and several messages in my
   read-message-folder=sav-inbox/saved-messages.
 
-- I have 1 read messages in my folder
   mail/sav-inbox/saved-messages-may-1998
 
-- I'm in folder mail/sav-inbox/saved-messages-may-1998, type 'd' for
   this message and then type 'q'.
   Then Pine expunges 1 msg from mail/sav-inbox/saved-messages-may-1998.
   
   I think Pine should save now the message from INBOX to
   sav-inbox/saved-messages and expunge the message from INBOX. But Pine
   exits with
 
"Error saving to sav-inbox/saved-messages.  Not all messages moved."
 
And now the message from INBOX is duplicated:
  - Saved to sav-inbox/saved-messages
  - Remains in INBOX

-- 
-----------------------------------------------------------------------
Rudolf Kompf                     | E-mail: [email-masked]

-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------